﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace RGBConfigurator
{
    public partial class ConstantColorControl : UserControl
    {
       

        

        public ConstantColorControl()
        {
            InitializeComponent();
            
        }

        private int modeNo = -1;

        public int ModeNo
        {
            get { return modeNo; }
            set { 
                modeNo = value;
                labelModeNo.Text = "Mode " + modeNo + ": Constant color";
            }
        }

        public byte R
        {
            get
            {
                return panelColor.BackColor.R;
            }
            set
            {
                panelColor.BackColor = Color.FromArgb(value, G, B);
            }
        }

        public byte G
        {
            get
            {
                return panelColor.BackColor.G;
            }
            set
            {
                panelColor.BackColor = Color.FromArgb(R, value, B);
            }
        }

        public byte B
        {
            get
            {
                return panelColor.BackColor.B;
            }
            set
            {
                panelColor.BackColor = Color.FromArgb(R, G, value);
            }

        }

    

        private void panelColor_MouseClick(object sender, MouseEventArgs e)
        {
            ColorDialog dlg = new ColorDialog();
            DialogResult res = dlg.ShowDialog();
            if(res == DialogResult.OK)
            {
                panelColor.BackColor = dlg.Color;
            }
        }
       
    }
}
